<head>
  <title>
      {{ if eq .Title .Site.Title }}
          {{ .Site.Title }}
      {{ else }}
          {{ .Title }} - {{ .Site.Title }}
      {{ end }}
  </title>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="author" content="{{ .Site.Params.Author }}" />
  <link rel="shortcut icon" type="image/x-icon" href="/img/{{ .Site.Params.favicon }}">

  <!-- css -->
  {{ $style := resources.Get "css/style.css" }}
  {{ $markdown := resources.Get "css/markdown.css" }}
  {{ $syntaxHighlight := resources.Get "css/syntax-highlight.css" }}
  {{ $css := slice $style $markdown $syntaxHighlight | resources.Concat "style.css" | resources.Minify | resources.Fingerprint }}
  <link rel="stylesheet" href="{{ $css.Permalink }}" integrity="{{ $css.Data.Integrity }}">
  {{ $styleDark := resources.Get "css/style-dark.css" }}
  {{ $markdownDark := resources.Get "css/markdown-dark.css" }}
  {{ $cssDark := slice $styleDark $markdownDark | resources.Concat "style-dark.css" | resources.Minify | resources.Fingerprint }}
  <link rel="stylesheet" href="{{ $cssDark.Permalink }}" media="(prefers-color-scheme: dark)" integrity="{{ $cssDark.Data.Integrity }}">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.1/css/all.css">

  <!-- custom css -->
  {{ range .Site.Params.custom_css }}
  <link rel="stylesheet" href="{{ . }}">
  {{ end }}

  {{/* NOTE: These Hugo Internal Templates can be found starting at https://github.com/gohugoio/hugo/tree/master/tpl/tplimpl/embedded/templates */}}
  {{- template "_internal/opengraph.html" . -}}
  {{- template "_internal/schema.html" . -}}
  <!-- {{- template "_internal/twitter_cards.html" . -}} -->
  {{- partial "twitter_cards.html" . -}}

  <!-- Polyfill for old browsers -->
  {{ `<!--[if lte IE 9]>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/classlist/1.1.20170427/classList.min.js"></script>
  <![endif]-->` | safeHTML }}

  {{ `<!--[if lt IE 9]>
  <script src="https://cdn.jsdelivr.net/npm/html5shiv@3.7.3/dist/html5shiv.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/respond.js@1.4.2/dest/respond.min.js"></script>
  <![endif]-->` | safeHTML }}

  <!-- MathJax -->
  {{ if or .Params.math .Site.Params.math }}
    {{ partial "mathjax_support.html" . }}
  {{ end }}
</head>
